Index: references/pom.xml
===================================================================
--- references/pom.xml	(revision 52)
+++ references/pom.xml	(revision 1)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>references</artifactId>
-	<version>2.1.6</version>
+	<version>1.0.0</version>
 	<packaging>jar</packaging>
 
@@ -16,6 +16,5 @@
 		<basedir>.</basedir>
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
-		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>${project.version}</geniusweb.version>
+		<jackson-2-version>2.9.6</jackson-2-version>
 	</properties>
 
@@ -23,5 +22,5 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</repository>
 	</distributionManagement>
@@ -31,6 +30,12 @@
 		<dependency>
 			<groupId>tudelft.utilities</groupId>
-			<artifactId>utilities</artifactId>
-			<version>1.2.1</version>
+			<artifactId>listener</artifactId>
+			<version>1.0.0</version>
+		</dependency>
+
+		<dependency>
+			<groupId>tudelft.utilities</groupId>
+			<artifactId>repository</artifactId>
+			<version>1.0.1</version>
 		</dependency>
 		<!-- the core, which includes Streaming API, shared low-level abstractions 
@@ -83,6 +88,6 @@
 		<dependency>
 			<groupId>org.mockito</groupId>
-			<artifactId>mockito-core</artifactId>
-			<version>3.11.2</version>
+			<artifactId>mockito-all</artifactId>
+			<version>1.9.5</version>
 			<scope>test</scope>
 		</dependency>
@@ -90,5 +95,5 @@
 			<groupId>tudelft.utilities</groupId>
 			<artifactId>junit</artifactId>
-			<version>1.0.5</version>
+			<version>1.0.2</version>
 			<scope>test</scope>
 		</dependency>
@@ -101,21 +106,19 @@
 		<repository>
 			<id>artifactory.ewi.tudelft.nl</id>
-			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<url>http://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 			<snapshots>
 				<enabled>false</enabled>
 			</snapshots>
 		</repository>
+
 	</repositories>
 
 	<pluginRepositories>
 		<pluginRepository>
-			<id>central</id>
-			<url>https://repo1.maven.org/maven2</url>
-		</pluginRepository>
-		<pluginRepository>
-			<id>artifactory.ewi.tudelft.nl</id>
-			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
+			<id>jcenter</id>
+			<url>http://jcenter.bintray.com</url>
 		</pluginRepository>
 	</pluginRepositories>
+
 
 	<build>
@@ -131,22 +134,9 @@
 				</configuration>
 			</plugin>
-			<plugin>
-				<groupId>org.apache.maven.plugins</groupId>
-				<artifactId>maven-source-plugin</artifactId>
-				<version>3.1.0</version>
-				<executions>
-					<execution>
-						<id>attach-sources</id>
-						<goals>
-							<goal>jar</goal>
-						</goals>
-					</execution>
-				</executions>
-			</plugin>
 
 			<plugin>
 				<groupId>org.apache.maven.plugins</groupId>
 				<artifactId>maven-javadoc-plugin</artifactId>
-				<version>3.2.0</version>
+				<version>2.10.1</version>
 				<executions>
 					<execution>
@@ -155,4 +145,8 @@
 							<goal>jar</goal>
 						</goals>
+						<configuration>
+							<additionalparam>${javadoc.opts}</additionalparam>
+							<additionalparam>-Xdoclint:none</additionalparam>
+						</configuration>
 					</execution>
 				</executions>
@@ -162,5 +156,5 @@
 				<groupId>org.jfrog.buildinfo</groupId>
 				<artifactId>artifactory-maven-plugin</artifactId>
-				<version>3.2.3</version>
+				<version>2.6.1</version>
 				<executions>
 					<execution>
Index: references/src/main/java/geniusweb/connection/Connectable.java
===================================================================
--- references/src/main/java/geniusweb/connection/Connectable.java	(revision 52)
+++ references/src/main/java/geniusweb/connection/Connectable.java	(revision 1)
@@ -2,8 +2,7 @@
 
 /**
- * A Connectable is an object that can connect on request with a provided
- * {@link ConnectionEnd} and then respond to incoming and outgong signals.
+ * a socket for a general two-way connection
  *
- * @param <INTYPE>  the type of incoming messages
+ * @param <INTYPE> the type of incoming messages
  * @param <OUTTYPE> the type of outgoing messages
  */
@@ -14,5 +13,5 @@
 	 * @param connection the new connection
 	 */
-	void connect(ConnectionEnd<INTYPE, OUTTYPE> connection);
+	void connect(Connection<INTYPE, OUTTYPE> connection);
 
 	/**
Index: references/src/main/java/geniusweb/connection/Connection.java
===================================================================
--- references/src/main/java/geniusweb/connection/Connection.java	(revision 1)
+++ references/src/main/java/geniusweb/connection/Connection.java	(revision 1)
@@ -0,0 +1,65 @@
+package geniusweb.connection;
+
+import java.io.IOException;
+import java.net.SocketException;
+import java.net.URI;
+
+import geniusweb.references.Reference;
+import tudelft.utilities.listener.Listenable;
+
+/**
+ * A general two-way connection. incoming data is reported through the
+ * {@link Listenable} channel, sending events of the INTYPE.
+ * <p>
+ * If an internal error occurs, eg a socket failure, timeout, or parser error, a
+ * null event is sent into the Listenable and {@link #getError()} can be called
+ * to find out about the error.
+ *
+ * @param <INTYPE>  the type of incoming messages. Incoming messages are
+ *                  received through Listener#not. Incoming messages are usually
+ *                  asynchronous.
+ * @param <OUTTYPE> the type of outgoing messages. Outgoing messages can be sent
+ *                  directly with #send.
+ * 
+ */
+public interface Connection<INTYPE, OUTTYPE> extends Listenable<INTYPE> {
+
+	/**
+	 * Send data out (and flush the output so that there are no excessive delays
+	 * in sending the data). This call is assumed to return immediately (never
+	 * block, eg on synchronized, Thread.sleep, IO, etc). When this is called
+	 * multiple times in sequence, the data should arrive at the receiver end in
+	 * the same order.
+	 * 
+	 * @param data the data to be sent.
+	 * @throws IOException if the data failed to be sent.
+	 */
+	void send(OUTTYPE data) throws IOException;
+
+	/**
+	 * @return Reference that was used to create this connection
+	 */
+	Reference getReference();
+
+	/**
+	 * @return the URI of the remote endpoint that makes up the connection. This
+	 *         is a URI that uniquely identifies the remote object
+	 */
+	URI getRemoteURI();
+
+	/**
+	 * Close the connection. Should return immediately (not block). Before
+	 * really closing, this should attempt to send out possibly cached messages
+	 * before closing the connection.
+	 * 
+	 */
+	void close();
+
+	/**
+	 * @return the latest internal error, or null if no error occured. If the
+	 *         channel is closed, this is set to {@link SocketException} "Socket
+	 *         closed", even if the close was a "normal" termination eg when
+	 *         {@link #close()} was called.
+	 */
+	Throwable getError();
+}
Index: references/src/main/java/geniusweb/connection/ConnectionEnd.java
===================================================================
--- references/src/main/java/geniusweb/connection/ConnectionEnd.java	(revision 52)
+++ 	(revision )
@@ -1,73 +1,0 @@
-package geniusweb.connection;
-
-import java.io.IOException;
-import java.net.SocketException;
-import java.net.URI;
-
-import geniusweb.references.Reference;
-import tudelft.utilities.listener.Listenable;
-
-/**
- * One end of a general two-way connection. incoming data is reported through
- * the {@link Listenable} channel, sending events of the INTYPE.
- * <p>
- * 
- * The connection mechanism assumed here is fundamentally asymmetric. One side
- * is "Connectable", the other side is a ConnectionEnd created (usually from a
- * {@link Reference}. This matches the typical client-server system (web
- * architecture).
- * 
- * <p>
- * If an internal error occurs, eg a socket failure, timeout, or parser error, a
- * null event is sent into the Listenable. {@link #getError()} can be called to
- * find out about the error.
- *
- * @param <INTYPE>  the type of incoming messages (incoming for the user of this
- *                  connection end). Incoming messages are received through
- *                  Listener#not. Incoming messages are usually asynchronous.
- * @param <OUTTYPE> the type of outgoing messages (outgoing for the user of this
- *                  connection end). Outgoing messages can be sent directly with
- *                  #send.
- * 
- */
-public interface ConnectionEnd<INTYPE, OUTTYPE> extends Listenable<INTYPE> {
-
-	/**
-	 * Send data out (and flush the output so that there are no excessive delays
-	 * in sending the data). This call is assumed to return immediately (never
-	 * block, eg on synchronized, Thread.sleep, IO, etc). When this is called
-	 * multiple times in sequence, the data should arrive at the receiver end in
-	 * the same order.
-	 * 
-	 * @param data the data to be sent.
-	 * @throws IOException if the data failed to be sent.
-	 */
-	void send(OUTTYPE data) throws IOException;
-
-	/**
-	 * @return Reference that was used to create this connection
-	 */
-	Reference getReference();
-
-	/**
-	 * @return the URI of the remote endpoint that makes up the connection. This
-	 *         is a URI that uniquely identifies the remote object
-	 */
-	URI getRemoteURI();
-
-	/**
-	 * Close the connection. Should return immediately (not block). Before
-	 * really closing, this should attempt to send out possibly cached messages
-	 * before closing the connection.
-	 * 
-	 */
-	void close();
-
-	/**
-	 * @return the latest internal error, or null if no error occured. If the
-	 *         channel is closed, this is set to {@link SocketException} "Socket
-	 *         closed", even if the close was a "normal" termination eg when
-	 *         {@link #close()} was called.
-	 */
-	Throwable getError();
-}
Index: references/src/main/java/geniusweb/connection/ConnectionFactory.java
===================================================================
--- references/src/main/java/geniusweb/connection/ConnectionFactory.java	(revision 52)
+++ references/src/main/java/geniusweb/connection/ConnectionFactory.java	(revision 1)
@@ -9,5 +9,4 @@
  * factory that can turn a {@link Reference} into a connection to that
  * reference.
- * 
  * 
  * @param <INTYPE>  the type of incoming messages. Incoming messages are
@@ -31,5 +30,5 @@
 	 *                                 the server. This suggest to retry later.
 	 */
-	ConnectionEnd<INTYPE, OUTTYPE> connect(Reference reference)
+	Connection<INTYPE, OUTTYPE> connect(Reference reference)
 			throws IOException, NoResourcesNowException;
 
Index: references/src/main/java/geniusweb/connection/DefaultConnection.java
===================================================================
--- references/src/main/java/geniusweb/connection/DefaultConnection.java	(revision 52)
+++ references/src/main/java/geniusweb/connection/DefaultConnection.java	(revision 1)
@@ -6,12 +6,12 @@
  * Default implementation of connection. Connection implementors only need to
  * implement the send (which moves the data sent into the connection to the
- * other side) and they can call
- * {@link DefaultListenable#notifyListeners(Object)} to inform the users of the
- * connection that something came in from the other side.
+ * other side) and they can call {@link DefaultListenable#notifyChange(Object)}
+ * to inform the users of the connection that something came in from the other
+ * side.
  *
- * @param <INTYPE>  the datatype of objects received from the other side
+ * @param <INTYPE> the datatype of objects received from the other side
  * @param <OUTTYPE> the datatype of objects sent to the other side.
  */
 public abstract class DefaultConnection<INTYPE, OUTTYPE> extends
-		DefaultListenable<INTYPE> implements ConnectionEnd<INTYPE, OUTTYPE> {
+		DefaultListenable<INTYPE> implements Connection<INTYPE, OUTTYPE> {
 }
Index: references/src/main/java/geniusweb/references/Parameters.java
===================================================================
--- references/src/main/java/geniusweb/references/Parameters.java	(revision 52)
+++ 	(revision )
@@ -1,149 +1,0 @@
-package geniusweb.references;
-
-import java.util.HashMap;
-
-import com.fasterxml.jackson.annotation.JsonCreator;
-import com.fasterxml.jackson.annotation.JsonValue;
-
-/**
- * init parameters for a party. Object must be either a HashMap, List, String or
- * Number. Other objects may not deserialize properly. We never use blanket
- * Object deserializers (enableDefaultTyping) because of security reasons.
- *
- */
-public class Parameters {
-
-	@JsonValue
-	private final HashMap<String, Object> params = new HashMap<>();
-
-	public Parameters() {
-	}
-
-	@JsonCreator
-	public Parameters(HashMap<String, Object> vals) {
-		params.putAll(vals);
-	}
-
-	/**
-	 * 
-	 * @param key the key to get the value for.
-	 * @return the raw value
-	 */
-	public Object get(String key) {
-		return params.get(key);
-	}
-
-	/**
-	 * 
-	 * @return true iff params is empty
-	 */
-	public boolean isEmpty() {
-		return params.isEmpty();
-	}
-
-	/**
-	 * 
-	 * @param key the key to be checked
-	 * @return true iff params contains the given key
-	 */
-	public boolean containsKey(String key) {
-		return params.containsKey(key);
-	}
-
-	/**
-	 * 
-	 * @param key the key. Key may already in params.
-	 * @param val the new value for the key
-	 * @return new Parameters , which is copy of this but with key-value pair
-	 *         added/overridden
-	 */
-	public Parameters with(String key, Object val) {
-		HashMap<String, Object> newparams = new HashMap<String, Object>(params);
-		newparams.put(key, val);
-		return new Parameters(newparams);
-	}
-
-	/**
-	 * Getter with type-check
-	 * 
-	 * @param <T>       the expected type
-	 * @param paramname the parameter name that must be in the map
-	 * @param classType the expected value type for this parameter
-	 * @return object of requested type.
-	 * @throws IllegalArgumentException if the object is not available.
-	 */
-	@SuppressWarnings("unchecked")
-	public <T> T get(String paramname, Class<T> classType) {
-		if (!params.containsKey(paramname)
-				|| !(classType.isInstance(params.get(paramname))))
-			throw new IllegalArgumentException(" Missing a parameter "
-					+ paramname + " with a " + classType.getName() + " value");
-		return (T) params.get(paramname);
-	}
-
-	/**
-	 * 
-	 * @param parameters the parameters to be added/overridden
-	 * @return new Parameters, with new parameters ADDED to existing. The new
-	 *         parameters override existing ones.
-	 */
-	public Parameters with(Parameters parameters) {
-		HashMap<String, Object> newparams = new HashMap<String, Object>(params);
-		newparams.putAll(parameters.params);
-		return new Parameters(newparams);
-	}
-
-	/**
-	 * 
-	 * @param name       the parameter name
-	 * @param defaultval the default value to return if parameter is not
-	 *                   available or not inside the given range. Can be null
-	 * @param min        the minimum value, or null if not applicable
-	 * @param max        the maximum value, or null if not applicable
-	 * @return the double value contained inside the parameter with the given
-	 *         name, or defaultval if the parameter does not exist, does not
-	 *         contain a double, or is outside [min, max].
-	 */
-	public Double getDouble(String name, Double defaultval, Double min,
-			Double max) {
-		if (!params.containsKey(name) || !(params.get(name) instanceof Number))
-			return defaultval;
-		Double val = ((Number) params.get(name)).doubleValue();
-		if (min != null && val < min)
-			return defaultval;
-		if (max != null && val > max)
-			return defaultval;
-		return val;
-	}
-
-	@Override
-	public int hashCode() {
-		final int prime = 31;
-		int result = 1;
-		result = prime * result + ((params == null) ? 0 : params.hashCode());
-		return result;
-	}
-
-	@Override
-	public boolean equals(Object obj) {
-		if (this == obj)
-			return true;
-		if (obj == null)
-			return false;
-		if (getClass() != obj.getClass())
-			return false;
-		Parameters other = (Parameters) obj;
-		if (params == null) {
-			if (other.params != null)
-				return false;
-		} else if (!params.equals(other.params))
-			return false;
-		return true;
-	}
-
-	@Override
-	public String toString() {
-		return params.toString();
-	}
-
-}
Index: references/src/main/java/geniusweb/references/PartyWithParameters.java
===================================================================
--- references/src/main/java/geniusweb/references/PartyWithParameters.java	(revision 52)
+++ 	(revision )
@@ -1,81 +1,0 @@
-package geniusweb.references;
-
-import com.fasterxml.jackson.annotation.JsonAutoDetect;
-import com.fasterxml.jackson.annotation.JsonAutoDetect.Visibility;
-import com.fasterxml.jackson.annotation.JsonCreator;
-import com.fasterxml.jackson.annotation.JsonProperty;
-
-/**
- * Container holding a partyref with parameters
- */
-@JsonAutoDetect(fieldVisibility = Visibility.ANY, getterVisibility = Visibility.NONE, setterVisibility = Visibility.NONE)
-public class PartyWithParameters {
-
-	private final PartyRef partyref;
-	private final Parameters parameters;
-
-	@JsonCreator
-	public PartyWithParameters(@JsonProperty("partyref") PartyRef partyref,
-			@JsonProperty("parameters") Parameters parameters) {
-		this.partyref = partyref;
-		this.parameters = parameters;
-	}
-
-	public PartyRef getPartyRef() {
-		return partyref;
-	}
-
-	public Parameters getParameters() {
-		return parameters;
-	}
-
-	@Override
-	public String toString() {
-		if (parameters.isEmpty())
-			return partyref.toString();
-		return partyref.toString() + parameters.toString();
-	}
-
-	@Override
-	public int hashCode() {
-		final int prime = 31;
-		int result = 1;
-		result = prime * result
-				+ ((parameters == null) ? 0 : parameters.hashCode());
-		result = prime * result
-				+ ((partyref == null) ? 0 : partyref.hashCode());
-		return result;
-	}
-
-	/**
-	 * 
-	 * @param parameters2 the additional parameters
-	 * @return this party but with the given parameters added to our parameters
-	 */
-	public PartyWithParameters with(Parameters parameters2) {
-		return new PartyWithParameters(partyref, parameters.with(parameters2));
-	}
-
-	@Override
-	public boolean equals(Object obj) {
-		if (this == obj)
-			return true;
-		if (obj == null)
-			return false;
-		if (getClass() != obj.getClass())
-			return false;
-		PartyWithParameters other = (PartyWithParameters) obj;
-		if (parameters == null) {
-			if (other.parameters != null)
-				return false;
-		} else if (!parameters.equals(other.parameters))
-			return false;
-		if (partyref == null) {
-			if (other.partyref != null)
-				return false;
-		} else if (!partyref.equals(other.partyref))
-			return false;
-		return true;
-	}
-
-}
Index: references/src/main/java/geniusweb/references/PartyWithProfile.java
===================================================================
--- references/src/main/java/geniusweb/references/PartyWithProfile.java	(revision 52)
+++ references/src/main/java/geniusweb/references/PartyWithProfile.java	(revision 1)
@@ -8,9 +8,9 @@
 @JsonAutoDetect(fieldVisibility = Visibility.ANY, getterVisibility = Visibility.NONE, setterVisibility = Visibility.NONE)
 public class PartyWithProfile {
-	private final PartyWithParameters party;
+	private final PartyRef party;
 	private final ProfileRef profile;
 
 	@JsonCreator
-	public PartyWithProfile(@JsonProperty("party") PartyWithParameters party,
+	public PartyWithProfile(@JsonProperty("party") PartyRef party,
 			@JsonProperty("profile") ProfileRef profile) {
 		if (party == null || profile == null) {
@@ -22,16 +22,9 @@
 	}
 
-	/**
-	 * 
-	 * @return the {@link PartyWithParameters}. never null.
-	 */
-	public PartyWithParameters getParty() {
+	public PartyRef getParty() {
 		return party;
 
 	}
 
-	/**
-	 * @return the profile setting for this party. Never null.
-	 */
 	public ProfileRef getProfile() {
 		return profile;
Index: references/src/test/java/geniusweb/references/ParametersTest.java
===================================================================
--- references/src/test/java/geniusweb/references/ParametersTest.java	(revision 52)
+++ 	(revision )
@@ -1,103 +1,0 @@
-package geniusweb.references;
-
-import static org.junit.Assert.assertEquals;
-import static org.junit.Assert.assertFalse;
-import static org.junit.Assert.assertTrue;
-
-import java.util.Arrays;
-import java.util.List;
-
-import org.junit.Test;
-
-import tudelft.utilities.junit.GeneralTests;
-
-public class ParametersTest extends GeneralTests<Parameters> {
-
-	private final Parameters params1 = new Parameters();
-	private final Parameters params1a = new Parameters();
-	private final Parameters params2 = new Parameters().with("a", 1).with("b",
-			2d);
-
-	@Override
-	public List<List<Parameters>> getGeneralTestData() {
-		return Arrays.asList(Arrays.asList(params1, params1a),
-				Arrays.asList(params2));
-	}
-
-	@Override
-	public List<String> getGeneralTestStrings() {
-		return Arrays.asList("\\{\\}", "\\{a=1, b=2.0\\}");
-	}
-
-	@Test(expected = IllegalArgumentException.class)
-	public void getWrongClass() {
-		params2.get("a", String.class);
-	}
-
-	@Test
-	public void getInteger() {
-		assertEquals((Integer) 1, params2.get("a", Integer.class));
-		assertEquals((Double) 2d, params2.get("b", Double.class));
-	}
-
-	@Test
-	public void getDouble() {
-		assertEquals((Double) 2d, params2.getDouble("b", 7d, null, null));
-		assertEquals((Double) 2d, params2.getDouble("b", 7d, 0d, 4d));
-
-		// test outside range
-		assertEquals((Double) 7d, params2.getDouble("b", 7d, 4d, 6d));
-		assertEquals((Double) 7d, params2.getDouble("b", 7d, -2d, 1d));
-
-		// test fallback null
-		assertEquals(null, params2.getDouble("b", null, 4d, 6d));
-
-		// a is integer!
-		assertEquals((Double) 1d, params2.getDouble("a", 0d, -0d, 2d));
-
-	}
-
-	@Test
-	public void getDoubleWithErrors() {
-		// a does not contain a double
-		assertEquals((Double) 7d, params2.getDouble("a", 7d, 4d, 6d));
-		// c does not exist
-		assertEquals((Double) 7d, params2.getDouble("c", 7d, 4d, 6d));
-
-		// a=1, which is outside [min, max]. Therefore default value should be
-		// returned.
-		assertEquals(null, params2.getDouble("a", null, 2d, 3d));
-
-	}
-
-	@Test
-	public void withTest() {
-		Parameters p = params2.with("a", 2);
-		assertEquals(1, params2.get("a"));
-		assertEquals(2d, params2.get("b"));
-		assertEquals(2, p.get("a"));
-		assertEquals(2d, p.get("b"));
-	}
-
-	@Test
-	public void withParamsTest() {
-		Parameters upd = new Parameters().with("a", 2);
-		Parameters p = params2.with(upd);
-		assertEquals(1, params2.get("a"));
-		assertEquals(2d, params2.get("b"));
-		assertEquals(2, p.get("a"));
-		assertEquals(2d, p.get("b"));
-	}
-
-	@Test
-	public void isEmptyTest() {
-		assertTrue(params1.isEmpty());
-		assertFalse(params2.isEmpty());
-	}
-
-	@Test
-	public void containsKeyTest() {
-		assertTrue(params2.containsKey("a"));
-		assertFalse(params2.containsKey("c"));
-	}
-}
Index: references/src/test/java/geniusweb/references/PartiWithParamsTest.java
===================================================================
--- references/src/test/java/geniusweb/references/PartiWithParamsTest.java	(revision 52)
+++ 	(revision )
@@ -1,72 +1,0 @@
-package geniusweb.references;
-
-import static org.junit.Assert.assertEquals;
-
-import java.io.IOException;
-import java.net.URI;
-import java.net.URISyntaxException;
-import java.util.Arrays;
-import java.util.List;
-
-import org.junit.Before;
-import org.junit.Test;
-
-import com.fasterxml.jackson.core.JsonParseException;
-import com.fasterxml.jackson.core.JsonProcessingException;
-import com.fasterxml.jackson.databind.JsonMappingException;
-import com.fasterxml.jackson.databind.ObjectMapper;
-
-import tudelft.utilities.junit.GeneralTests;
-
-public class PartiWithParamsTest extends GeneralTests<PartyWithParameters> {
-
-	private PartyRef party1, party2;
-	private Parameters param1, param2;
-	private PartyWithParameters party1param1, party1param1a;
-	private PartyWithParameters party1param2;
-	private final String serialized = "{\"partyref\":\"ws:party1\",\"parameters\":{\"a\":1}}";
-
-	@Before
-	public void before() throws URISyntaxException {
-		party1 = new PartyRef(new URI("ws:party1"));
-		party2 = new PartyRef(new URI("ws:party2"));
-		param1 = new Parameters();
-		param2 = new Parameters().with("a", 1);
-		party1param1 = new PartyWithParameters(party1, param1);
-		party1param1a = new PartyWithParameters(party1, param1);
-		party1param2 = new PartyWithParameters(party1, param2);
-	}
-
-	@Override
-	public List<List<PartyWithParameters>> getGeneralTestData() {
-		return Arrays.asList(
-				Arrays.asList(party1param1, party1param1a, party1param1a),
-				Arrays.asList(party1param2));
-	}
-
-	@Override
-	public List<String> getGeneralTestStrings() {
-		return Arrays.asList("PartyRef.ws:party1.",
-				"PartyRef.ws:party1.\\{a=1\\}");
-	}
-
-	@Test
-	public void testSerialize() throws JsonProcessingException {
-		ObjectMapper jackson = new ObjectMapper();
-
-		String json = jackson.writeValueAsString(party1param2);
-		System.out.println(json);
-		assertEquals(serialized, json);
-	}
-
-	@Test
-	public void testDeserialize()
-			throws JsonParseException, JsonMappingException, IOException {
-		ObjectMapper jackson = new ObjectMapper();
-		PartyWithParameters p = jackson.readValue(serialized,
-				PartyWithParameters.class);
-		System.out.println(p);
-		assertEquals(party1param2, p);
-	}
-
-}
Index: references/src/test/java/geniusweb/references/PartyWithProfileTest.java
===================================================================
--- references/src/test/java/geniusweb/references/PartyWithProfileTest.java	(revision 52)
+++ references/src/test/java/geniusweb/references/PartyWithProfileTest.java	(revision 1)
@@ -17,4 +17,7 @@
 import com.fasterxml.jackson.databind.ObjectMapper;
 
+import geniusweb.references.PartyRef;
+import geniusweb.references.PartyWithProfile;
+import geniusweb.references.ProfileRef;
 import tudelft.utilities.junit.GeneralTests;
 
@@ -23,7 +26,6 @@
 	private PartyRef party1, party1a, party2, party3;
 	private ProfileRef profile1, profile2;
-	private PartyWithProfile partyprof1, partyprof1a, partyprof2, partyprof3,
-			partyprof4;
-	private final String serialized = "{\"party\":{\"partyref\":\"ws:party1\",\"parameters\":{}},\"profile\":\"ws:profile1\"}";
+	private PartyWithProfile partyprof1, partyprof1a, partyprof2, partyprof3;
+	private final String serialized = "{\"party\":\"ws:party1\",\"profile\":\"ws:profile1\"}";
 
 	@Before
@@ -37,19 +39,8 @@
 		profile2 = new ProfileRef(new URI("ws:profile2"));
 
-		Parameters settings1 = new Parameters();
-		Parameters settings2 = new Parameters().with("a", 1);
-
-		PartyWithParameters party1withparams1 = new PartyWithParameters(party1,
-				settings1);
-		PartyWithParameters party1withparams2 = new PartyWithParameters(party1,
-				settings2);
-		PartyWithParameters party2withparams1 = new PartyWithParameters(party2,
-				settings1);
-
-		partyprof1 = new PartyWithProfile(party1withparams1, profile1);
-		partyprof1a = new PartyWithProfile(party1withparams1, profile1);
-		partyprof2 = new PartyWithProfile(party2withparams1, profile1);
-		partyprof3 = new PartyWithProfile(party1withparams1, profile2);
-		partyprof4 = new PartyWithProfile(party1withparams2, profile1);
+		partyprof1 = new PartyWithProfile(party1, profile1);
+		partyprof1a = new PartyWithProfile(party1, profile1);
+		partyprof2 = new PartyWithProfile(party2, profile1);
+		partyprof3 = new PartyWithProfile(party1, profile2);
 
 	}
@@ -58,6 +49,5 @@
 	public List<List<PartyWithProfile>> getGeneralTestData() {
 		return Arrays.asList(Arrays.asList(partyprof1, partyprof1a),
-				Arrays.asList(partyprof2), Arrays.asList(partyprof3),
-				Arrays.asList(partyprof4));
+				Arrays.asList(partyprof2), Arrays.asList(partyprof3));
 	}
 
@@ -65,8 +55,7 @@
 	public List<String> getGeneralTestStrings() {
 		return Arrays.asList(
-				"PartyWithProfile.PartyRef.ws:party1.,ProfileRef.ws:profile1.*",
-				"PartyWithProfile.PartyRef.ws:party2.,ProfileRef.ws:profile1.*",
-				"PartyWithProfile.PartyRef.ws:party1.,ProfileRef.ws:profile2.*",
-				"PartyWithProfile.PartyRef.ws:party1.\\{a=1\\},ProfileRef.ws:profile1.*");
+				"PartyWithProfile.PartyRef.ws:party1.,ProfileRef.ws:profile1..",
+				"PartyWithProfile.PartyRef.ws:party2.,ProfileRef.ws:profile1..",
+				"PartyWithProfile.PartyRef.ws:party1.,ProfileRef.ws:profile2..");
 	}
 
@@ -77,5 +66,5 @@
 	@Test(expected = IllegalArgumentException.class)
 	public void nullTest() throws URISyntaxException {
-		new PartyWithProfile((PartyWithParameters) null, (ProfileRef) null);
+		new PartyWithProfile((PartyRef) null, (ProfileRef) null);
 	}
 
Index: references/src/test/java/geniusweb/references/ProtocolRefTest.java
===================================================================
--- references/src/test/java/geniusweb/references/ProtocolRefTest.java	(revision 52)
+++ references/src/test/java/geniusweb/references/ProtocolRefTest.java	(revision 1)
@@ -17,4 +17,5 @@
 import com.fasterxml.jackson.databind.ObjectMapper;
 
+import geniusweb.references.ProtocolRef;
 import tudelft.utilities.junit.GeneralTests;
 
@@ -57,11 +58,4 @@
 
 	@Test
-	public void testSaop() {
-		ProtocolRef saop = new ProtocolRef("SAOP");
-		System.out.println(saop.getURI());
-		assertEquals("SAOP", saop.getURI().getPath());
-	}
-
-	@Test
 	public void testSerialize() throws JsonProcessingException {
 		ObjectMapper jackson = new ObjectMapper();
